<template>
    <div class="flex items-center justify-between mb-4">
        <Breadcrumb nameRouteHome="admin" textRouteHome="Tổng quan">
            <ItemBreadcrumb
                isRouteLink
                nameRoute="admin-course"
                hashRoute="#public"
            >
                Quản lý khóa học
            </ItemBreadcrumb>
            <ItemBreadcrumb>{{ course ? course.name : "" }}</ItemBreadcrumb>
        </Breadcrumb>
    </div>
    <div class="card">
        <div class="flex items-center">
            <a
                href="#overview"
                class="nav-item flex-initial border-r px-6 py-4"
                :class="[
                    $route.hash === '#overview'
                        ? 'text-main-color bg-white border-b-transparent'
                        : 'bg-gray-50 border-b'
                ]"
            >
                Thông tin khóa học
            </a>
            <a
                href="#lessons"
                class="nav-item flex-initial border-r px-6 py-4"
                :class="[
                    $route.hash === '#lessons'
                        ? 'text-main-color bg-white border-b-transparent'
                        : 'bg-gray-50 border-b'
                ]"
            >
                Danh sách bài học
            </a>
            <div class="flex-1 border-b cursor-default px-6 py-4">&nbsp;</div>
        </div>
        <div class="card-body">
            <div v-show="$route.hash === '#overview'">
                <OverviewCourseSkeleton v-if="isLoading" />
                <OverviewCourse v-else :course="course" />
            </div>
            <div v-show="$route.hash === '#lessons'">
                <div v-if="isLoading" class="text-center">
                    <SpinLoading />
                </div>
                <AdminListLesson v-else :course="course" />
            </div>
        </div>
    </div>
</template>

<script>
import { useRoute } from "vue-router";
import { STATUS_COURSE_DRAFT } from "@/constants";

import useGetCourse from "@/hooks/course/useGetCourse";

import Breadcrumb from "@/components/breadcrumb/Breadcrumb.vue";
import ItemBreadcrumb from "@/components/breadcrumb/ItemBreadcrumb.vue";
import SpinLoading from "@/components/loading/SpinLoading.vue";
import OverviewCourse from "@/components/course/OverviewCourse.vue";
import OverviewCourseSkeleton from "@/components/course/OverviewCourseSkeleton.vue";
import AdminListLesson from "@/components/lesson/AdminListLesson.vue";

export default {
    components: {
        Breadcrumb,
        ItemBreadcrumb,
        SpinLoading,
        OverviewCourse,
        OverviewCourseSkeleton,
        AdminListLesson
    },
    setup() {
        const route = useRoute();
        const { isLoading, course, onGetCourse } = useGetCourse();

        async function getCourse() {
            await onGetCourse(route.params.courseId);
        }
        getCourse();

        return { STATUS_COURSE_DRAFT, isLoading, course };
    }
};
</script>
